
/*

Theme Name: Eluminate


Theme URI: https://example.com/twenty-nineteen-child/


Description: Twenty Twenty-One Child Theme


Author: Rise & Design


Author URI: https://riseanddesign.dk


Template: twentynineteen


Version: 1.0.0


License: GNU General Public License v2 or later


License URI: http://www.gnu.org/licenses/gpl-2.0.html


Tags: two-column, responsive-layout


Text Domain: twentynineteen


*/ 

.cmplz-message p {
    font-family: montserrat;
}

.cmplz-message a {
    font-weight: bold;
    font-family: montserrat;
}

body, html {
    overflow-x: hidden;
}

body {
    background-color: #ededed !important;
}

header, .elementor-location-header {
/*     position: fixed !important;
    left: 0 !important;
    top: 0 !important;
    width: 100vw !important;
    z-index: 100 !important; */
    background-color: rgba(255, 255, 255, 0.95) !important;
}

.elementor-nav-menu ul {
    background-color: transparent;
}

#nav-menu-cont > div {
    padding: 0 !important;
}

#header-col-mid > div {
    padding: 0 !important;
}

#nav-menu-cont > div {
    padding: 0 15px;

}

#nav-menu-cont > div > nav > ul > li > a {
    padding: 0 15px !important;
    height: 4rem;
}


#nav-menu-cont > div > nav > ul > li > ul > li {
    background-color: rgb(255, 255, 255, 66%);
}

.sub-menu li {
    transform: rotateX(-90deg);
}

#nav-menu-cont div > nav > ul > li:nth-of-type(2):hover ul li:nth-of-type(1) {
    animation: subnav .25s ease forwards;
}

#nav-menu-cont div > nav > ul > li:nth-of-type(2):hover ul li:nth-of-type(2) {
    animation: subnav .25s .25s ease forwards;
}

#nav-menu-cont div > nav > ul > li:nth-of-type(2):hover ul li:nth-of-type(3) {
    animation: subnav .25s .5s ease forwards;
}

#nav-menu-cont div > nav > ul > li:nth-of-type(3):hover ul li:nth-of-type(1) {
    animation: subnav .25s ease forwards;
}

#nav-menu-cont div > nav > ul > li:nth-of-type(3):hover ul li:nth-of-type(2) {
    animation: subnav .25s .25s ease forwards;
}

#nav-menu-cont div > nav > ul > li:nth-of-type(3):hover ul li:nth-of-type(3) {
    animation: subnav .25s .5s ease forwards;
}

@keyframes subnav {
    0% {
        transform: rotateX(-90deg)
    }
    100% {
        transform: rotateX(0deg);
    }
}

.brand-color-text {
    color: #F66C35 !important;
}

h2::before, h1::before, h1:not(.site-title):before {
    display: none !important;
    content: none !important;

}

.elementor-button {
    position: relative;
}

.btn-animate-white a {
    width: fit-content;
    height: 3rem;
    border: solid .2rem #F46E35;
    background-color: transparent;
    position: relative;
    display: grid;
    align-content: center;
}

.btn-animate-white a:before, .btn-animate-white a:after {
    width: 1.5rem;
    height: 1.5rem;
}

.btn-animated-color-white a:before, .btn-animate-color-white a:after {
    background-color: #ededed;
}

.btn-animated-color-pure a:before, .btn-animate-color-pure a:after {
    background-color: #ffffff;
}

.btn-animate-white a:before {
    content: '';
    position: absolute;
    right: calc(0% - .5rem);
    top: calc(0% - .5rem);
    z-index: 2;
}

.btn-animate-white a:after {
    content: '';
    position: absolute;
    left: calc(0% - .5rem);
    bottom: calc(0% - .5rem);
    z-index: 2;
}

.btn-animate-white a:hover:before {
    animation: btn-move1 1s ease;
}

.btn-animate-white a:hover:after {
    animation: btn-move2 1s ease;
}

@keyframes btn-move1 {
    0% {
        top: calc(0% - .5rem);
        right: calc(0% - .5rem);
    }
    30% {
        top: calc(100% - 1rem);
        right: calc(0% - .5rem);
    }
    100% {
        top: calc(100% - 1rem);
        right: calc(100% - 1rem);
    }
}

@keyframes btn-move2 {
    0% {
        bottom: calc(0% - .5rem);
        left: calc(0% - .5rem);
    }
    30% {
        bottom: calc(100% - 1rem);
        left: -.5rem;
    }
    100% {
        bottom: calc(100% - 1rem);
        left: calc(100% - 1rem);
    }
}

.elementor-button-text {
    position: relative;
    z-index: 20;
}



@media only screen and (max-width: 600px) {
    .header-columns > div {
        display: flex !important;
        flex-direction: row !important;
    }
    header, .elementor-location-header {
        position: fixed !important;
        left: 0 !important;
        top: 0 !important;
        width: 100vw !important;
        z-index: 100 !important;
        background-color: rgba(255, 255, 255, 0.66) !important;
        height: 3rem !important;
    }
    
    #nav-menu-cont div > nav > ul > li:nth-of-type(2):hover ul li:nth-of-type(1) {
        animation: none;
    }
    
    #nav-menu-cont div > nav > ul > li:nth-of-type(2):hover ul li:nth-of-type(2) {
        animation: none;
    }
    
    #nav-menu-cont div > nav > ul > li:nth-of-type(2):hover ul li:nth-of-type(3) {
        animation: none;
    }
    
    #nav-menu-cont div > nav > ul > li:nth-of-type(3):hover ul li:nth-of-type(1) {
        animation: none;
    }
    
    #nav-menu-cont div > nav > ul > li:nth-of-type(3):hover ul li:nth-of-type(2) {
        animation: none;
    }
    
    #nav-menu-cont div > nav > ul > li:nth-of-type(3):hover ul li:nth-of-type(3) {
        animation: none;
    }
    
    .sub-menu li {
        transform: rotateX(0deg);
    }

    #nav-menu-cont nav {
        height: 100vh;
        margin: auto;
    }
    
    #nav-menu-cont ul li a {
        padding: 1rem 0;
    }
}



